LinuxQuestions.org
Latest LQ Deal: Latest LQ Deals
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Software
User Name
Password
Linux - Software This forum is for Software issues.
Having a problem installing a new program? Want to know which application is best for the job? Post your question in this forum.

Notices


Reply
  Search this Thread
Old 07-02-2006, 03:59 PM   #1
rmg
LQ Newbie
 
Registered: Apr 2006
Distribution: Slackware 10.2
Posts: 13

Rep: Reputation: 0
Question Installing GD library on Slack with packages


I've got Slackware 10.2 running without GUI.
I installed Apache 2 and PHP 5 and mysgl 5 packages from linuxpackages.net

Now I wanted to add the GD library, but I can't get it to work
I tried installing the package from linuxpackages.net, but it didn't work out

I don't know where to go on?

Last edited by rmg; 07-03-2006 at 02:23 AM.
 
Old 07-03-2006, 02:23 AM   #2
rmg
LQ Newbie
 
Registered: Apr 2006
Distribution: Slackware 10.2
Posts: 13

Original Poster
Rep: Reputation: 0
I'm really desperate
 
Old 07-04-2006, 04:06 PM   #3
rmg
LQ Newbie
 
Registered: Apr 2006
Distribution: Slackware 10.2
Posts: 13

Original Poster
Rep: Reputation: 0
Can anybody help?
 
Old 08-02-2006, 05:52 AM   #4
rmg
LQ Newbie
 
Registered: Apr 2006
Distribution: Slackware 10.2
Posts: 13

Original Poster
Rep: Reputation: 0
Ok, I managed to install GD, but my php 5.1.4 (installed from a package) still doesn't load it. The php install should use shared modules and it searches for a gd.so file, but my GD install made a libgd.so. So if I change the gd.so to libgd.so in php.ini the apache error says smth like it ain't a php extention :S
I cannot use the gd.so that came with the package and lies in /usr/lib/php/extensions/no-debug-non-zts-20050922/gd.so because it has a dependecy with X11 which I do not have installed. My own compiled gd doens't have that dependecy. What should I do to make php5 load the GD correctly. Please don't say that the only solution is compiling the php5 on my own machine.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Problems with allegro library packages ale_ryu Debian 3 02-26-2006 04:30 PM
Using Slack 10's 2.6.7 kernel packages on Slack 10.1? SocialEngineer Slackware 1 03-05-2005 11:53 AM
Fatal error in installing packages for Slack 10.1 Mr. Hill Slackware 4 02-26-2005 04:11 PM
my slack can't load shared library AnhTuan Slackware 6 10-03-2004 09:27 AM
library or packages? javax Linux - General 2 04-20-2002 07:23 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Software

All times are GMT -5. The time now is 12:39 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration